FROM corex:3.2.1

WORKDIR /workspace
COPY constraints_gsv.txt launch_gsv.sh /workspace/
COPY GPT-SoVITS /workspace/GPT-SoVITS
RUN pip install -r GPT-SoVITS/extra-req.txt --no-deps \
    && pip install -r GPT-SoVITS/requirements.txt -c constraints_gsv.txt \ 
    && apt update \
    && apt install -y ffmpeg libsox-dev redis

RUN pip install redis
COPY wav /workspace/wav
ENTRYPOINT ["/bin/bash", "launch_gsv.sh"]
